ch.qos.logback.core.subst

## Class NodeToStringTransformer

- java.lang.Object
- - ch.qos.logback.core.subst.NodeToStringTransformer

    public class NodeToStringTransformer
    extends java.lang.Object

Compiles a previously parsed Node chain into a String.

Author:
  Ceki Gücü

### Constructor Summary

Constructors
Constructor and Description
`NodeToStringTransformer(Node node, PropertyContainer propertyContainer0)`
`NodeToStringTransformer(Node node, PropertyContainer propertyContainer0, PropertyContainer propertyContainer1)`

### Method Summary

Methods
`static java.lang.String` `substituteVariable(java.lang.String input, PropertyContainer pc0, PropertyContainer pc1)`
`java.lang.String` `transform()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeToStringTransformer

    public NodeToStringTransformer(Node node,
                           PropertyContainer propertyContainer0,
                           PropertyContainer propertyContainer1)

#### NodeToStringTransformer

    public NodeToStringTransformer(Node node,
                           PropertyContainer propertyContainer0)

### Method Detail

#### substituteVariable

    public static java.lang.String substituteVariable(java.lang.String input,
                                      PropertyContainer pc0,
                                      PropertyContainer pc1)
                                               throws ScanException

Throws:
  `ScanException`

#### transform

    public java.lang.String transform()
                               throws ScanException

Throws:
  `ScanException`